// ---------- directry.h

#ifndef DRIVE_H
#define DRIVE_H

#include <dir.h>
#include <dos.h>
#include "listbox.h"
#include "label.h"

class PathNameLabel : public Label {
    char *CurrentPath();
public:
    PathNameLabel(int x, int y, int wd) :
        Label(CurrentPath(), x, y, wd) {}
    void FillLabel();
};

class DriveListBox : public ListBox    {
    unsigned currdrive;
public:
    DriveListBox(int lf, int tp);
};

class DirectoryListBox : public ListBox    {
public:
    DirectoryListBox(int lf, int tp);
    void FillList();
};

class FileNameListBox : public ListBox    {
public:
    FileNameListBox(char *filespec, int lf, int tp);
    void FillList(char *filespec);
};

#endif
