/* ms_dio.h */
#ifndef _MS_DIO_H
#define _MS_DIO_H

/*
 * This is only required under MSDOS
 */

#ifdef MSDOS
#include <sys/proto.h>

extern int _CDECL	dio_write	_PROTO ((int, char *, unsigned int));
extern int _CDECL	dio_read	_PROTO ((int, char *, unsigned int));
extern int _CDECL	dio_open	_PROTO ((char *, int, ...));
extern int _CDECL	dio_close	_PROTO ((int));
extern long _CDECL	dio_lseek	_PROTO ((int, long, int));
extern int _CDECL	dio_fstat	_PROTO ((int , struct stat *));
extern int _CDECL	dio_stat	_PROTO ((char *, struct stat *));
extern int _CDECL	dio_access	_PROTO ((char *, int));
extern int _CDECL	dio_chmod	_PROTO ((char *, int));
extern int _CDECL	dio_creat	_PROTO ((char *, int));
extern int _CDECL	dio_dup		_PROTO ((int));
extern int _CDECL	dio_isatty	_PROTO ((int));
extern long _CDECL	dio_tell	_PROTO ((int));

#define open		dio_open
#define close(a)	dio_close (a)
#define read(a,b,c)	dio_read (a,b,c)
#define write(a,b,c)	dio_write (a,b,c)
#define lseek(a,b,c)	dio_lseek (a,b,c)
#define fstat(a,b)	dio_fstat (a,b)
#define stat(a,b)	dio_stat (a,b)
#define access(a, b)	dio_access (a,b)
#define chmod(a, b)	dio_chmod (a,b)
#define creat(a, b)	dio_creat (a,b)
#define dup(a)		dio_dup (a)
#define isatty(a)	dio_isatty (a)
#define tell(a)		dio_tell (a)
#endif
#endif
