// ------------- notice.cpp

#include "notice.h"

NoticeBox::NoticeBox(char *text, char *ttl) :
		Dialog(ttl, 7, 20),
		notice(text, 1, 2),
		ok(0,4)
{
	int wd = max(10,max(strlen(text)+2,strlen(ttl)+2));
	Size(Left()+wd-1, Bottom());
	ok.Move(Left()+((wd-8)/2), ok.Top());
}

// -------- set the fg/bg colors for the window 
void NoticeBox::SetColors()
{
    colors.fg = 
    colors.sfg = 
    colors.ffg = 
    colors.hfg = BLACK;
    colors.bg = 
    colors.sbg = 
    colors.fbg = 
    colors.hbg = GREEN;
}

ErrorMessageBox::ErrorMessageBox(char *text, char *ttl = "Error") :
		NoticeBox(text, ttl)
{
	desktop.speaker().Beep();
}

// -------- set the fg/bg colors for the window 
void ErrorMessageBox::SetColors()
{
    colors.fg = 
    colors.sfg = 
    colors.ffg = 
    colors.hfg = YELLOW;
    colors.bg = 
    colors.sbg = 
    colors.fbg = 
    colors.hbg = RED;
}

YesNoBox::YesNoBox(char *text, char *ttl) :
		Dialog(ttl, 7, 20),
		notice(text, 1, 2),
		yes(0,4),
		no(0,4)
{
	int wd = max(21,max(strlen(text)+2,strlen(ttl)+2));
	Size(Left()+wd-1, Bottom());
	yes.Move(Left()+((wd-17)/2), yes.Top());
	no.Move(Left()+((wd-17)/2)+9, no.Top());
}

// -------- set the fg/bg colors for the window 
void YesNoBox::SetColors()
{
    colors.fg = 
    colors.sfg = 
    colors.ffg = 
    colors.hfg = BLACK;
    colors.bg = 
    colors.sbg = 
    colors.fbg = 
    colors.hbg = GREEN;
}


