// --------- notice.h

#ifndef NOTICE_H
#define NOTICE_H

#include "dflatpp.h"

// ----------- Notice message window
class NoticeBox : public Dialog	{
	Label notice;
	// ----- command button
	OKButton ok;
    virtual void SetColors();
public:
	NoticeBox(char *text, char *ttl);
};

inline void Notice(char *txt, char *ttl = "Notice")
{
	NoticeBox(txt, ttl).Execute();
}

// --------- Error message window
class ErrorMessageBox : public NoticeBox	{
    virtual void SetColors();
public:
	ErrorMessageBox(char *text, char *ttl);
};

inline void ErrorMessage(char *txt, char *ttl = "Error")
{
	ErrorMessageBox(txt, ttl).Execute();
}

// ------- Yes/No query window
class YesNoBox : public Dialog	{
	Label notice;
	// ----- command button
	YesButton yes;
	NoButton  no;
    virtual void SetColors();
public:
	YesNoBox(char *txt, char *ttl);
};

inline Bool YesNo(char *txt, char *ttl = "")
{
	YesNoBox yn(txt, ttl);
	yn.Execute();
	return yn.OKExit();
}

#endif
