ORIGIN = PWB
ORIGIN_VER = 2.1.49
PROJ = PICBDLL
PROJFILE = PICBDLL.MAK
BUILDDIR = .
DEBUG = 0

CC	= cl
CFLAGS_G  = /Alnw /W3 /G2 /Gc /GD /Zp /BATCH
CFLAGS_D  = /f /Od /Zi /Gs
CFLAGS_R  = /f- /Os /Og /Oe /Gs
CXX  = cl
CXXFLAGS_G	= /G2 /W2 /ASw /GD /Zp /BATCH
CXXFLAGS_D	= /f /Zi /Od /Gs
CXXFLAGS_R	= /f- /Oe /Og /Os /Gs
MAPFILE_D  = .\$(PROJ).map
MAPFILE_R  = .\$(PROJ).map
LFLAGS_G  = /NOD /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /MAP /NOF /NOPACKC
LFLAGS_R  = /MAP /NOF /NOPACKC
LLIBS_G  = LIBW.LIB MDLLCEW.LIB BTTNCUR.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
RC	= rc
IMPLIB	= implib

FILES  = CTLDLG.C MSAPI.C PAINT.C PICBUT.RC WEP.C PICBUT.DEF PICBUT.C INIT.C
DEF_FILE  = PICBUT.DEF
OBJS  = .\CTLDLG.obj .\MSAPI.obj .\PAINT.obj .\WEP.obj .\PICBUT.obj .\INIT.obj
RESS  = .\PICBUT.res

all: .\$(PROJ).dll

.SUFFIXES:
.SUFFIXES: .obj .res .c .rc
.SUFFIXES: .obj .res .c .rc

.\CTLDLG.obj : CTLDLG.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\CTLDLG.obj CTLDLG.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\CTLDLG.obj CTLDLG.C
<<
!ENDIF

.\MSAPI.obj : MSAPI.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\MSAPI.obj MSAPI.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\MSAPI.obj MSAPI.C
<<
!ENDIF

.\PAINT.obj : PAINT.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\PAINT.obj PAINT.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\PAINT.obj PAINT.C
<<
!ENDIF

.\PICBUT.res : PICBUT.RC
		$(RC) $(RCFLAGS1) /r /fo .\PICBUT.res PICBUT.RC

.\WEP.obj : WEP.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\WEP.obj WEP.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\WEP.obj WEP.C
<<
!ENDIF

.\PICBUT.obj : PICBUT.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\PICBUT.obj PICBUT.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\PICBUT.obj PICBUT.C
<<
!ENDIF

.\INIT.obj : INIT.C
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo.\INIT.obj INIT.C
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo.\INIT.obj INIT.C
<<
!ENDIF


.\$(PROJ).dll : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
		$(LRF) @<<.\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<.\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
		$(LINKER) @.\$(PROJ).lrf
		$(RC) $(RCFLAGS2) $(RESS) $@
		$(IMPLIB) $*.lib $@


.c.obj :
!IF $(DEBUG)
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo$@ $<
<<
!ELSE
		@$(CC) @<<.\$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<
!ENDIF

.rc.res :
		$(RC) $(RCFLAGS1) /r /fo $@ $<


run: .\$(PROJ).dll

debug: .\$(PROJ).dll
