/*
 * PICBUT.H
 *
 * Public definitions
 *	- Messages
 *	- typedefs
 *  - Control Styles.
 *
 * Robin J. Leatherbarrow
 *
 */



// messages

#define PBM_SETIMAGE (WM_USER+10)


// typedefs

typedef struct tagPBM_IMAGE {
	HBITMAP 	hBit;			  // handle of bitmap
	int 		width;			  // width of bitmap to draw
	int 		height; 		  // height of bitmap to draw
	int 		iImage; 		  // index to the image to draw in the bitmap
	} PBM_IMAGE, FAR *LPPBM_IMAGE;





//Control specific styles.
#define PBS_COMMAND			0x0001L
#define PBS_ATTRIBUTE		0x0000L

#define PBS_MENUSELECT		0x0002L
#define PBS_AUTO			0x0004L
