ORIGIN = PWB
ORIGIN_VER = 2.1.49
PROJ = PICBTEST
PROJFILE = PICBTEST.MAK
DEBUG = 0

CC	= cl
CFLAGS_G  = /AM /W3 /G2 /Gc /GA /GEf /Zp /BATCH
CFLAGS_D  = /f /Od /Zi /Gs
CFLAGS_R  = /f /Os /Og /Oe /Gs
CXX  = cl
CXXFLAGS_G	= /G2 /W2 /GA /GEf /Zp /BATCH
CXXFLAGS_D	= /f /Zi /Od /Oq /Gs
CXXFLAGS_R	= /f /Oe /Og /Os /Gs /Oq
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /NOF
LFLAGS_R  = /NOF
LLIBS_G  = LIBW.LIB PICBDLL.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
RC	= rc
MPC  = mpc
LLIBS_R  = /NOD:MLIBCE MLIBCEW
LLIBS_D  = /NOD:MLIBCE MLIBCEW
CVFLAGS  = /25 /2

FILES  = PICBTEST.C PICBTEST.DEF PICBTEST.RC
DEF_FILE  = PICBTEST.DEF
OBJS  = PICBTEST.obj
RESS  = PICBTEST.res

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .res .c .rc
.SUFFIXES: .obj .res .c .rc

PICBTEST.obj : PICBTEST.C
!IF $(DEBUG)
		@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoPICBTEST.obj PICBTEST.C
<<
!ELSE
		@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoPICBTEST.obj PICBTEST.C
<<
!ENDIF

PICBTEST.res : PICBTEST.RC
		$(RC) $(RCFLAGS1) /r /fo PICBTEST.res PICBTEST.RC


$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
		$(LINKER) @$(PROJ).lrf
		$(MPC) $@ $(MPCFLAGS) /Fe $@
		$(RC) $(RCFLAGS2) $(RESS) $@


.c.obj :
!IF $(DEBUG)
		@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo$@ $<
<<
!ELSE
		@$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<
!ENDIF

.rc.res :
		$(RC) $(RCFLAGS1) /r /fo $@ $<


run: $(PROJ).exe
		WX $(WXFLAGS) $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
		WX /p $(WXFLAGS) CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
