; Skeleton graphics driver
; loadable driver for The Graphics Engine
; Copyright (c) 1993 by Matthew Hildebrand

; Turbo Assembler syntax

IDEAL
P286
MODEL LARGE

	CODESEG
	ORG	0

	db	'GRAP'			; driver signature string--do not change
	dw	initGraphics		; initGraphics
	dw	?
	dw      0			; deInitGraphics
	dw      ?
        dw      0			; putImage
        dw	?
        dw	0			; putImageInv
        dw	?
        dw	0			; getImage
        dw	?
        dw	0			; putLine
        dw	?
        dw	0			; getLine
        dw	?
        dw	0			; imageSize
        dw	?
	dw      0			; putPixel
	dw	?
	dw	0			; getPixel
	dw	?
	dw	0			; line
        dw      ?
        dw	0			; horizLine
	dw	?
	dw	0			; drawRect
	dw	?
        dw      0			; filledRect
	dw	?
	dw	0			; setPaletteReg
	dw	?
        dw	0			; getPaletteReg
	dw	?
	dw	0			; setBlockPalette
	dw	?
        dw	0			; getBlockPalette
        dw	?
        dw	0			; clearGraphics
        dw	?
	dw	319			; maximum X-coordinate
	dw	199			; maximum Y-coordinate
	dw	255			; maximum colour number (0-?)

	db	'The Graphics Engine -- Copyright (c) 1993 by Matthew Hildebrand'



	PUBLIC C	initGraphics
PROC	C	initGraphics
  mov	ax,0013h
  int	10h
  mov	ax,1				; Return success code
  retf
ENDP

	ENDS
END